KJL - Feature #2817

Autoload Sales Form Sample
06/21/2024 04:05 PM - jihad ....

Status: Closed Start date: 06/21/2024
Priority: Normal Due date: 06/26/2024
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.00 hours
Description
Mas Shofwan,
ingin dibuatkan setingan autoload pada tab sales form sample, berikut penjelasannya
Sales Inquiry: Tab Form Permintaan Sample: jika dipilih material maka autoload - color

- weight

- lower length

- folded length

- beltsize
Price Quotation:  Tab Form Permintaan Sample: jika dipilih material maka autoload - color

- weight

- lower length

- folded length

- CBbeltsize
Sales Order: Tab Form Permintaan Sample: jika dipilih material maka autoload - color

- weight

- lower length

- folded length
*autoload ambil dari master data - beltsize
Terima kasih
History

#1 - 06/21/2024 05:50 PM - shofwan shiddiq
- File clipboard-202406211749-dtlad.png added
- Assignee changed from shofwan shiddiq to haykal haykal

Dear Haykal. sudah di buat autoload yah
Process ID:

00021106
B My Workplace Process Status:
Open
@ Financial Accounting
Document Detail
@ Master Data
Sales Item Term of Payment Other Cost Form Permintaan Sample
Sales Inquiry
Nama Barang Quantity Sample  Color  Weight (gr) Upper Length (mm)  Lower Length  Folded Length  Belt Size (mm)  Pitch Size (mm)
Sales Order 1 BIOFiller UF401P..  0.00 555 0.00 0.00 0.00 0.00 0.00
2 BOPPFilm - BOPP 0.00 0.00 0.00 10.00 10.00 10.00 0.00

Delivery Order Draft
B Sales Report
B Purchasing
M Inventory Document
B Production Management
B Asset Management

® Reporting

Total Item: 2

X3 CE

SDATATABLEFIELD
TableName = PTRSALESFORMSAMPLE, FieldName = MateriallD, Selectfunction =

debugger;

var stores = Ext.StoreMgr.lookup("storePTRSALESFORMSAMPLE");
var grid = Ext.getCmp(gridName);

var selection = grid.getView().getSelectionModel().getSelection()[0];
var idx = grid.store.indexOf(selection);

if (selection == undefined) {

idx = index;

}

var WeightValue = stores.getAt(idx).get('Weight');

var ColorValue = stores.getAt(idx).get('Color');

var LowerLengthValue = stores.getAt(idx).get('LowerLength');

var FoldedLengthValue = stores.getAt(idx).get('FoldedLength’);

var BeltSizeValue = stores.getAt(idx).get('BeltSize");

var store = Ext.StoreMgr.lookup("store_ PTRSALESFORMSAMPLEParameter");
/Ivar idx = store.getCount() - 1;

var Parameter = val.value;

Ext.Ajax.request({

async: false,

method: 'POST,

url: '/UserControl/GetStore’',

params: {

tableName: 'PMDMATO0001",

param: 'MateriallD[=]' + Parameter

|3

success: function (response) {

var results = Ext.decode(response.responseText);
dtgrid = results.data;

}

D;

var max;

for (var i = 0; i < dtgrid.length; i++) {

max = dtgrid[i];

1

if (max != undefined) {

var WeightValue = max.Weight;

var ColorValue = max.Color;

var LowerLengthValue = max.LowerLength;
var FoldedLengthValue = max.FoldedLength;
var BeltSizeValue = max.BeltSize;

// Set Weigt
if (WeightValue == "") {
WeightValue = 0.00;
}
stores.getAt (idx) .set ('Weight', max.Weight);
Set Color
stores.getAt (idx) .set ('Color', max.Color);

Set Lower Length
if (LowerLengthValue == "") {
LowerLengthValue = 0.00;
}
stores.getAt (idx) .set ('LowerLength', LowerLengthValue) ;

Set Folded Length Value
if (FoldedLengthValue == "") {
FoldedLengthValue = 0.00;
}
stores.getAt (idx) .set ('FoldedLength', FoldedLengthValue);

Set Belt Size Value
if (BeltSizeValue == ""){
BeltSizeValue = 0.00;
}
stores.getAt (idx) .set ('BeltSize', BeltSizeValue);

} else {

stores.getAt(idx).s
stores.getAt(idx).s
stores.getAt(idx).se
stores.getAt(idx).s
stores.getAt(idx).s

}

#2

et('Weight', 0.00);
et('Color', ");
t('LowerLength’, 0.00);
et('FoldedLength’, 0.00);
et('BeltSize', 0.00);

- 06/25/2024 04:58 PM - Kezia Pawitra Yulianti

- Due date set to 06/26/2024

- Status changed from New to QA Test

#3

- 06/26/2024 10:22 AM - haykal haykal

- Status changed from QA Test to Closed

Files
clipboard-202406211604-tmkzb.png 18.1 KB 06/21/2024 jihad ....
clipboard-202406211749-dtlad.png 99.4 KB 06/21/2024 shofwan shiddiq
